Subject: bug#57015: 29.0.50; macOS: libgccjit was not found: Homebrew libgccjit 12.1.0

From: Dario Gjorgjevski <[email-masked]>
Date: Tue, 16 Aug 2022 17:08:29 +0200

On Tue, Aug 16, 2022 at 4:32 PM Stefan Kangas <[email-masked]> wrote:
>
> Dario Gjorgjevski <[email-masked]> writes:
>
> > The issue was not caused by libgccjit (and gcc) being upgraded to
> > version 12.  It was caused by Homebrew changing the directory
> > structure in the way I described, which just happened to coincide with
> > the upgrade from version 11 to version 12.
> >
> > On a side note, I have no idea why Homebrew chose to make
> > lib/gcc/${major_version} a symlink to lib/gcc/current as opposed to
> > the other way around.
>
> Should this perhaps be considered a bug in Homebrew, instead?

This was an intentional change, so I doubt they would reconsider it.
It is, in my opinion, not a very good one, but it is what it is.

Best regards,
Dario